#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: nonce
version: 1.0.5
id: nonce-1.0.5-AoySP5oxxw3ZIxNtCpbLS
key: nonce-1.0.5-AoySP5oxxw3ZIxNtCpbLS
license: BSD3
copyright: (c) 2014 Prowdsponsor
maintainer: Prowdsponsor <opensource@prowdsponsor.com>
homepage: https://github.com/prowdsponsor/nonce
synopsis: Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.
    .
    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.
category: Cryptography
author: Felipe Lessa <felipe.lessa@prowdsponsor.com>
exposed: True
indefinite: False
exposed-modules:
    Crypto.Nonce
abi: e1e46328f18d4e066f5e0faa1ed11977
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/nonce-1.0.5
library-dirs: /usr/lib/ghc-8.2.2/site-local/nonce-1.0.5
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/nonce-1.0.5
hs-libraries: HSnonce-1.0.5-AoySP5oxxw3ZIxNtCpbLS
depends:
    base-4.10.1.0 base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    bytestring-0.10.8.2 text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj
    transformers-0.5.2.0 entropy-0.3.8-459fr1KgYZzBPF08mWgtQU
    unliftio-0.2.4.0-Eezoim0m5Sj1vQEaKlSqLH
    unliftio-core-0.1.1.0-3wrHy3Ijr0BBoYMyh4oX3g
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fce7541e6cf9cbf2867cdcb0a2552fb8
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj=d51c5ac73448d7d6c9cbe4dedb95457e
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             entropy-0.3.8-459fr1KgYZzBPF08mWgtQU=a6112742140c3bfa625711e5fba8dc1f
             unliftio-0.2.4.0-Eezoim0m5Sj1vQEaKlSqLH=bbe0ff3e8d2d3028274bcf81e53468f0
             unliftio-core-0.1.1.0-3wrHy3Ijr0BBoYMyh4oX3g=80eb3168f42ca410245c0d9b99385d79
haddock-interfaces: /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html: /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

